import 'package:syncrow_web/pages/spaces_management/all_spaces/model/subspace_model.dart';

abstract class SubSpaceEvent {}

class AddSubSpace extends SubSpaceEvent {
  final SubspaceModel subSpace;
  AddSubSpace(this.subSpace);
}

class RemoveSubSpace extends SubSpaceEvent {
  final SubspaceModel subSpace;
  RemoveSubSpace(this.subSpace);
}

class UpdateSubSpace extends SubSpaceEvent {
  final SubspaceModel updatedSubSpace;
  UpdateSubSpace(this.updatedSubSpace);
}
